/*
 * The define file for Lean Against Bricks And Nails (MABANOL program).
 *
 * Written and Copyright 1999 by David E. Down the Faery Monarch, Gonksoftware
 * This software is released under the GNU GPL version 2.
 *
 * See the file "COPYING" for software license details.
 */

/* Include the most common #includes */
#include <stdio.h>
#include <stdlib.h>
#include "guigrlib.h"

#ifndef TRUE /* TRUE/FALSE */
 #define TRUE (!0)
 #define FALSE 0
#endif

/* If the macro UNIX or LINUX is set, set the macro POSIX */
#if defined UNIX || defined LINUX
 #define POSIX
#endif

#if defined POSIX /* POSIX already support Long File Names */
 #ifndef _use_lfn
  #define _use_lfn TRUE
 #endif
#elif !defined DJGPP /* _use_lfn is already a DJGPP keyword */
 #ifndef _use_lfn
  #if defined MSDOS /* MSDOS does not support long file names */
   #define _use_lfn FALSE
  #else
   #define _use_lfn TRUE
  #endif
 #endif
#endif

/* Dymanic Info */
#define prog_author "The Faery Monarch"
#define prog_version_number "0.0.1a"
#define prog_version_date   "19990721"

 /* VERSION NUMBER SUFFIXES
    =======================
    a stands for alpha
       > not all primary features are implemented, but it can be really
         buggy.
    b stands for beta
       > all primary features are implemented, but it has bugs.
  */

/* Other Information */
 #if defined POSIX
  #define prog_platform "posix"
 #elif defined DJGPP
  #define prog_platform "djgpp"
 #else
  #define prog_platform "other"
 #endif
#define prog_version "v" prog_version_number "-" prog_platform

#ifndef bool /* Define the boolean variable */
 #define bool char
#endif

#define UBYTE unsigned char
#define SBYTE signed char
#define UWORD unsigned short
#define SWORD signed short
#define UDWORD unsigned int
#define SDWORD signed int
#define UQWORD unsigned long long
#define SQWORD signed long long

